DS_CMAP_GET_ALL_COLOURMAPS(3)

FUNCTION
ds_cmap_get_all_colourmaps - Search an array of Karma data structures for colourmaps.

SYNOPSIS
#include <karma_ds.h>

unsigned int * ds_cmap_get_all_colourmaps

(multi_array *multi_desc, unsigned int *num_found, flag *reordering_done, CONST char *restr_names[], double *restr_values, unsigned int num_restr)

DESCRIPTION
This routine will search an array of Karma general data structures for instances of a colourmap.

multi_desc
    The multi_array descriptor.

num_found
    The number of general data structures which contain a colourmap will be written here.

reordering_done
    The routine is tolerant of incorrect ordering of the intensity elements. If they are ordered incorrectly, the data will be re-ordered, and the value TRUE will be written here, else the value FALSE will be written here. If this is NULL, nothing is written here.

restr_names
    The array of pointers to restrictions names.

restr_values
    The array of restriction values.

num_restr
    The number of restriction values.

RETURN VALUE
A pointer to an array of general data structure indices on success, else NULL. This array is dynamically allocated, and should be freed when no longer needed.

Multi-threading Level
Unsafe.

NOTE
NULL pointers may be passed for <<restr_names>> and <<restr_values>> and <<num_restr>> set to zero. In this case, the routine will only return a colourmap if there is only one instance of a colourmap in the entire data structure.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/